package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.coupon.CouponItem;
import com.iamberry.wechat.core.entity.coupon.CouponItemDto;

/**
 * 优惠券详情 mapper
 * 2016年7月6日
 * @author 穆再兴
 *
 */
public interface CouponItemMapper {
	/**
	 * 分页查询所有优惠券详情列表
	 * 2016年7月6日
	 * @author 穆再兴
	 * @param couponItem
	 * @return
	 */
	public List<CouponItemDto> getCouponItemDtoList(CouponItemDto couponItemDto);
	
	/**
	 * 查询所有符合条件的优惠券详情总数
	 * 2016年7月7日
	 * @param couponItem
	 * @return
	 */
	public Integer getCouponItemCount(CouponItemDto couponItemDto);
	/**
	 * 添加一张优惠券
	 * 2016年7月7日
	 * @author 穆再兴
	 * @param couponItem
	 * @return
	 */
	public Integer insertCouponItem(CouponItem couponItem);
	
	/**
	 * 根据id查询一张优惠券
	 * 2016年7月7日
	 * @param couponItemId
	 * @return
	 */
	public CouponItemDto getCouponItemById(String couponItemId);
	
	/**
	 * 根据id修改优惠券信息
	 * 2016年7月7日
	 * @param couponItem
	 * @return
	 */
	public Integer updateCouponItemById(CouponItem couponItem);
	
	/**
	 * 批量修改优惠券信息
	 * @param couponItemList
	 * @return
	 * @author liuzhiwei
	 */
	public Integer updateCouponItemList(List<CouponItem> couponItemList);
}
